<?php
function msbddelcom_comment_statuses() {
    return array(
                    '0' => 'pending',
                    'spam' => 'spam',
                    'trash' => 'trash',
                    '1' => 'approved',
                );
}


/*********************************************************
 * Functions collected from Website Configs plugin by Micro Solutions Bangladesh
 * *******************************************************/


/*
 * WP functions are: update_option(), 
 * 
 * */
if (!function_exists('msbd_update_option')) {
    function msbd_update_option($opt_name, $opt_val = '') {
        if (is_array($opt_name) && $opt_val == '') {
            foreach ($opt_name as $real_opt_name => $real_opt_value) {
                msbd_update_option($real_opt_name, $real_opt_value);
            }
        } else {
            update_option($opt_name, $opt_val);
        }
    }
}


/*
 * WP functions are: get_option(), 
 * 
 * */
if (!function_exists('msbd_get_option')) {
    function msbd_get_option($root_opt, $opt_name = '') {
        
        $options = get_option('msbddelcom_'.$root_opt);

        if ($options == false) {
            return false;
        }

        if ( !empty($opt_name) ) {
            return isset($options[$opt_name]) ? $options[$opt_name] : false;
        }

        return $options;
    }
}
